<?php
  
  $session = $this->getSession();
  $filter_html = new Yab_Filter_Html();
  
  $sitefouille_id = $session->get('sitefouille_id') ;

  $option_height = (!empty($option_height) ) ? $option_height : '400px' ;
  $network = array() ;
  foreach($network_anteroposterite as $key_us => $value_us ) {
    
    $us_id_p = $value_us->get('posterieur_id') ;
    $us_nom_p =  str_replace("/", "<br>" ,$value_us->get('us_posterieur') ) ;
    $us_id_ident_p = hash('crc32', $us_id_p ) ;    
    $title_p = '<a href="#" onClick="showDetailUsNetwork(\''.$us_id_p.'\')">'.$us_nom_p.'</a>' ;
    $color_p = '#'.substr(hash('crc32', $value_us->get('us_posterieur_contexte') ), -6 ) ;
    $level_p = $value_us->get('level_posterieur') ;
    
    $us_id_a = $value_us->get('anterieur_id') ;
    $us_nom_a = str_replace("/", "<br>" ,$value_us->get('us_anterieur') ) ;
    $us_id_ident_a = hash('crc32', $us_id_a ) ;  
    $title_a = '<a href="#" onClick="showDetailUsNetwork(\''.$us_id_a.'\')">'.$us_nom_a.'</a>' ;
    $color_a = '#'.substr( hash('crc32', $value_us->get('us_anterieur_contexte') ), -6 ) ;
    $level_a = $value_us->get('level_anterieur') ;
    
    $network['nodes'][$us_id_p] = array(
      'id' => $us_id_ident_p,
      'label' => $us_nom_p,
      // 'allowedToMoveY' => 'false',
      'title' => $title_p,
      'color' => array ( 'background' => $color_p ),
      'shape' => 'box',      
    );
    $level_p = !empty( $network['nodes'][$us_id_p]['level'] ) ? $network['nodes'][$us_id_p]['level'] : $level_p ;
     
    $network['nodes'][$us_id_a] = array(
      'id' => $us_id_ident_a,
      'label' => $us_nom_a,
      // 'allowedToMoveY' => 'false',
      'title' => $title_a,
      'color' => array ( 'background' => $color_a ),
      'shape' => 'box',      
    );
    $level_a = !empty( $network['nodes'][$us_id_a]['level'] ) ? $network['nodes'][$us_id_a]['level'] : $level_a ;
    $level_a = (!empty($level_a) && $level_a > $level_p ) ? $level_a : $level_p + 1 ; 
    
    $network['nodes'][$us_id_p]['level'] = $level_p ;
    $network['nodes'][$us_id_a]['level'] = $level_a ;
   
   $edges = array( $title_p, $title_a, 'Detail' );
     
    $network['edges'][] = $edges ;
    
  } 

  
  foreach($network['nodes'] as $node ) {
    $network_nodes[] = $node ;
  } 

  $network_nodes = json_encode($network_nodes )  ;
  $network_edges = json_encode($network['edges'] )  ;

  // identifiant unique de la div d'affichage 
  $unique_div = rand();
  
  // redirection de page Plein ecran / Dashboard
  
  $controller = $this->getRequest()->getController();
  $action = $this->getRequest()->getAction() ;
  $controller_action = $controller.'_'.$action ; 
  if ( $controller_action == 'Dashboard_show' ) {
    $redict_url = $this->getRequest('Dashboard_Us', 'UsNetwork', array('layout' => 1, 'height' => '600px' )) ;
    $redict_glyph = 'glyphicon glyphicon-resize-full' ;
    $redict_tooltip = 'Mettre en plein &eacute;cran ' ;
    
  } else {
    $redict_url = $this->getRequest('Dashboard', 'show') ;
    $redict_glyph = 'glyphicon glyphicon-resize-small' ;
    $redict_tooltip = 'Revenir au tableau de bord ' ;
  }

?>
  <style type="text/css">
    #sdf_us_network {
      /* width: 600px; 
      height: 400px;
      border: 1px solid lightgray;
      */
    }

  </style>
 
<div class="col-md-12">
  <div class="panel panel-default">
    <div class="panel-heading"> Unit&eacute;s Stratigraphiques  
      <div class="pull-right">                                
        <div class="btn-group">
          <a href="<?php echo $redict_url  ; ?>" >                                    
            <button 
              class="btn btn-default btn-xs"
              data-original-title="<?php echo $redict_tooltip ; ?>"
              data-toggle="tooltip"
              data-placement="bottom"
            >      
                <span
                  class="glyphicon <?php echo $redict_glyph  ; ?>" 
                  aria-hidden="true"
                ></span>
            </button>
          </a>
        </div>                            
      </div>
      
    </div>    
    <div class="panel-body" style="background-image: url('<?php echo $request->getBaseUrl(); ?>/images/ilot_cygne_bg.jpg') ;">
      <div id="sdf_us_network_<?php echo $unique_div  ; ?>" >chargement ... </div>
    </div>
    
  </div>
</div>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript">
  
  google.load("visualization", "1", {packages:["orgchart"]});
  google.setOnLoadCallback(drawChart);
  
  function drawChart() {
    var edges_us_network = <?php echo $network_edges ; ?> ;
    
    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Name_us');
    data.addColumn('string', 'Parent_us');
    data.addColumn('string', 'ToolTip');

    data.addRows(edges_us_network);
    var options = {
      allowCollapse: true,
      allowHtml:true,
      size:'small'
      
    };
    var chart = new google.visualization.OrgChart(document.getElementById('sdf_us_network_<?php echo $unique_div  ; ?>'));
    chart.draw(data,options );
  }
   
  function showDetailUsNetwork(us_id)
  {
     $.ajax({
      type:"POST",
			url: "<?php echo $this->getRequest('Dashboard_us','Show' ) ; ?>"+us_id,
			data: "id="+us_id,
      success: function(returnData) {
        // Affichage du modal (boite de dialogue)
        $('#modalTitle').html('Unite Stratigraphique');
        $('#modalBody').html(returnData);
        $('#myModal').modal();
        if(data.error)
          alert(data.error);
       },
       error: function(returnData) {
        alert('Une erreur est survenue.'); 
       }
      });
  } 
/*
    // US Network 
    var network_us_network = null;
    var layoutMethod_us_network = "direction";
    // var layoutMethod_us_network = "hubsize";
    var direction_us_network = "UD";
    var option_height = "<?php echo $option_height ; ?>" ; 
    
    var nodes_us_network = <?php echo $network_nodes ; ?> ;
    var edges_us_network = <?php echo $network_edges ; ?> ;
    
    // console.log(nodes_us_network) ;  
    // create a network
    var container_us_network = document.getElementById('sdf_us_network_<?php echo $unique_div  ; ?>');
    var data_us_network = {
        nodes: nodes_us_network,
        edges: edges_us_network
    };

     var options_us_network = {
      width:  "100%",
      height: option_height,
      
      hierarchicalLayout: {
        enabled: true,
        levelSeparation: 150,
        nodeSpacing: 100,
        direction: direction_us_network,
        layout: layoutMethod_us_network
      },
      
      edges: {
        // inheritColor: "from",
        // style:"line",
        color: 'red',
        // width: 2
      },
      groups: groups_us_network,
      smoothCurves:false
    };
    network_us_network = new vis.Network(container_us_network, data_us_network, options_us_network);
*/
</script>

<pre class="arrows-and-boxes"> 
<?php
  
  foreach($network_anteroposterite as $key_us => $value_us ) {
    
    $us_id_p = $value_us->get('posterieur_id') ;
    $us_nom_p =  str_replace("/", "<br>" ,$value_us->get('us_posterieur') ) ;
    $us_id_ident_p = hash('crc32', $us_id_p ) ;    
    $title_p = '<a href="#" onClick="showDetailUsNetwork(\''.$us_id_p.'\')">'.$us_nom_p.'</a>' ;
    $color_p = '#'.substr(hash('crc32', $value_us->get('us_posterieur_contexte') ), -6 ) ;
    $level_p = $value_us->get('level_posterieur') ;
    
    $us_id_a = $value_us->get('anterieur_id') ;
    $us_nom_a = str_replace("/", "<br>" ,$value_us->get('us_anterieur') ) ;
    $us_id_ident_a = hash('crc32', $us_id_a ) ;  
    $title_a = '<a href="#" onClick="showDetailUsNetwork(\''.$us_id_a.'\')">'.$us_nom_a.'</a>' ;
    $color_a = '#'.substr( hash('crc32', $value_us->get('us_anterieur_contexte') ), -6 ) ;
    $level_a = $value_us->get('level_anterieur') ;
    
    $network['nodes'][$us_id_p] = array(
      'id' => $us_id_ident_p,
      'label' => $us_nom_p,
      // 'allowedToMoveY' => 'false',
      'title' => $title_p,
      'color' => array ( 'background' => $color_p ),
      'shape' => 'box',      
    );
    $level_p = !empty( $network['nodes'][$us_id_p]['level'] ) ? $network['nodes'][$us_id_p]['level'] : $level_p ;
     
    $network['nodes'][$us_id_a] = array(
      'id' => $us_id_ident_a,
      'label' => $us_nom_a,
      // 'allowedToMoveY' => 'false',
      'title' => $title_a,
      'color' => array ( 'background' => $color_a ),
      'shape' => 'box',      
    );
    $level_a = !empty( $network['nodes'][$us_id_a]['level'] ) ? $network['nodes'][$us_id_a]['level'] : $level_a ;
    $level_a = (!empty($level_a) && $level_a > $level_p ) ? $level_a : $level_p + 1 ; 
    
    $network['nodes'][$us_id_p]['level'] = $level_p ;
    $network['nodes'][$us_id_a]['level'] = $level_a ;
   
   $edges = array( $title_p, $title_a, 'Detail' );
     
    $network['edges'][] = $edges ;
    
  } 
?> 

</pre>